//+------------------------------------------------------------------+
//|                                                  10PipSystem.mq4 |
//+------------------------------------------------------------------+

extern double lot=0.10;
extern int per_ema=10;
extern int limit=10;
extern int stop=10;
extern int sum=10;

double last_t=0;

int init(){return(0);}
int deinit(){return(0);}
int start()
  {
   double s=0;
   bool long=true;
   bool short=true;
   double min=9999;
   double max=0;
      
   if (OrdersTotal()==0 && (last_t==0 || Time[0]>last_t)){
   for (int i=1;i<Bars;i++){
      last_t=Time[0];
      double ema=iMA(Symbol(),0,per_ema,0,MODE_EMA,PRICE_CLOSE,i);      
      if (long && Low[i]>ema){
         short=false;
         //Alert("a1");
         s=s+MathAbs(Open[i]-Close[i]);
         if (Low[i]<min) min=Low[i];
      }
      if (long && !short && Low[i]<=ema){
         //Alert("a2");
         break;
      }
      if (short && High[i]<ema){
         //Alert("a3");
         long=false;
         s=s+MathAbs(Open[i]-Close[i]);
         if (High[i]>max) max=High[i];
      }
      if (short && !long && High[i]>=ema){
        // Alert("a4");
         break;
      }      
      //Alert(s);
      if (long && s>=sum*Point && i>=3){
         if (OrderSend(Symbol(),OP_BUY,lot,NormalizeDouble(Ask,Digits),3,NormalizeDouble(min-stop*Point,Digits),NormalizeDouble(Ask+limit*Point,Digits),"",0,0,Blue)==-1) Alert("Eroare 1:"+GetLastError());
         break;
      }
      if (short && s>=sum*Point && i>=3){
         if (OrderSend(Symbol(),OP_SELL,lot,NormalizeDouble(Bid,Digits),3,NormalizeDouble(max+stop*Point,Digits),NormalizeDouble(Bid-limit*Point,Digits),"",0,0,Red)==-1) Alert("Eroare 2:"+GetLastError());
         break;
      }
   }
   }   
      
   return(0);
  }

